#include "polymorphic_base.hpp"

#include <Windows.h>
#include <iostream>

typedef void (__cdecl *MYFUNC)(); 
 
int
main()
{
  polymorphic_derived1 b;
  std::cout << &b << std::endl; // fake b usage
  HMODULE hinstLib = ::LoadLibrary(L"ExportDll.dll");

  if (hinstLib != NULL) 
  { 
    MYFUNC ProcAddr = (MYFUNC) GetProcAddress(hinstLib, "entry_point"); 

    if (NULL != ProcAddr) 
    {
      (ProcAddr) (); 
    }

    FreeLibrary(hinstLib); 
  } 
  return 0;
}

