#include <boost/serialization/type_info_implementation.hpp>
#include <boost/serialization/extended_type_info_no_rtti.hpp>
#include <boost/serialization/export.hpp>

#include "polymorphic_derived.hpp"

void polymorphic_derived2::serialize(boost::archive::polymorphic_iarchive & ar, const unsigned int file_version)
{
  ar & BOOST_SERIALIZATION_BASE_OBJECT_NVP(polymorphic_base);
}

void polymorphic_derived2::serialize(boost::archive::polymorphic_oarchive & ar, const unsigned int file_version)
{
  ar & BOOST_SERIALIZATION_BASE_OBJECT_NVP(polymorphic_base);
}

// note: export has to be AFTER #includes for all archive classes
BOOST_CLASS_EXPORT_IMPLEMENT(polymorphic_derived2)

